//
//  SHLStatusCell.m
//  微博
//
//  Created by 石怀亮 on 2017/5/22.
//  Copyright © 2017年 石怀亮. All rights reserved.
//

#import "SHLStatusCell.h"
#import "SHLStatus.h"

@interface SHLStatusCell ()
//用户头像
@property (weak, nonatomic) IBOutlet UIImageView *iconImageView;

//用户名称
@property (weak, nonatomic) IBOutlet UILabel *nameLabel;

//正文
@property (weak, nonatomic) IBOutlet UILabel *text_Label;

//会员
@property (weak, nonatomic) IBOutlet UIImageView *vipImageView;

//配图
@property (weak, nonatomic) IBOutlet UIImageView *pictureImageView;

//图片的高度
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *pictureImageViewHeight;

//图片的底部
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *pictureImageViewBottom;


@end

@implementation SHLStatusCell



//重写set方法 写数据
- (void)setStatus:(SHLStatus *)status
{
    _status = status;
    
//    设置用户头像
    self.iconImageView.image = [UIImage imageNamed:status.icon];
    
//    设置用户名称显示数据
    self.nameLabel.text = status.name;
    
//    正文设置数据
    self.text_Label.text = status.text;
//    判断是否有图片
    if (status.picture) {
//        如果有,把隐藏关闭
        self.pictureImageView.hidden = NO;
//        设置图片
        self.pictureImageView.image = [UIImage imageNamed:status.picture];
        
//        设置cell的高度
        self.pictureImageViewHeight.constant = 100;
        self.pictureImageViewBottom.constant = 10;
//        如果没有图片?  那么
    }else
    {
//        打开隐藏功能
        self.pictureImageView.hidden = YES;
        self.pictureImageViewHeight.constant = 0;
        self.pictureImageViewBottom.constant = 0;
        
    }
//    判断是不是vip  如果是
    if (status.vip) {
//        如果是 就显示图标
        self.vipImageView.hidden = NO;
        
//         设置颜色
        self.nameLabel.textColor = [UIColor orangeColor];
    }else
    {
//        如果不是就隐藏图标
        self.vipImageView.hidden = YES;
    }
}

@end
