//
//  ViewController.m
//  微博
//
//  Created by 石怀亮 on 2017/5/22.
//  Copyright © 2017年 石怀亮. All rights reserved.
//

#import "ViewController.h"
#import "SHLStatusCell.h"
#import "SHLStatus.h"
#import "MJExtension.h"

@interface ViewController ()
//写个数组装模型
@property (nonatomic, strong) NSArray *statuses;
@end

@implementation ViewController


//标识
    NSString *ID = @"StatusID";


//懒加载  字典转模型
- (NSArray *)statuses
{
    if (!_statuses) {
        _statuses = [SHLStatus mj_objectArrayWithFilename:@"statuses.plist"];
    }
    return _statuses;
}



- (void)viewDidLoad {
    [super viewDidLoad];

//    设置自动计算高度
    self.tableView.rowHeight = UITableViewAutomaticDimension;
    
//    给个预算高度
    self.tableView.estimatedRowHeight = 44;
    
    
}



//设置行数
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
//    数据的个数其实就相当于多少行数据, 所以返回数组的长度
    return self.statuses.count;
}



//设置数据
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
//    创建SHLStatusCell类型的cell  并且根据标识ID去取
    SHLStatusCell *cell = [tableView dequeueReusableCellWithIdentifier:ID];
    
//    直接设置数据展示来源于数组模型的数据,因为我们已经在cell里面重写了set方法  并且设置了对于的数据
    cell.status = self.statuses[indexPath.row];
    
    return cell;
}

@end
